sunclock (3.57-13build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:17:28 +0000

sunclock (3.57-13) unstable; urgency=medium

  * Update to Standards-Version 4.6.2 (no changes).
  * debian/salsa-ci: disable crossbuild arm64, which fails.
  * d/u/metadata: Change Repository to one with unpacked files.
  * Make all patches gbp pq compatible.
  * 19_version: Update release date, too.
  * Add debian/gbp.conf.
  * Update debian/copyright with support by lrc.
  * Adapt debian/watch to github changes.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 14 Jan 2024 13:14:27 +0100

sunclock (3.57-12) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove constraints unnecessary since stretch:
    + sunclock-maps: Drop versioned constraint on sunclock in Replaces.
    + sunclock-maps: Drop versioned constraint on sunclock in Breaks.

  [ Roland Rosenfeld ]
  * Upgrade debhelper to v13.
  * Update to Standards-Version 4.6.1 (no changes).
  * Enable gzipped vcf files again (using 20_zlibpointer from OpenBSD)
    - Remove 12_disable_zlib.
  * 21_fix_time_t: Fix time data type (from OpenBSD).
  * 22_README_pl.utf-8: Convert README_pl from iso-8859-2 to utf-8.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 09 Dec 2022 17:05:44 +0100

sunclock (3.57-11) unstable; urgency=medium

  * d/gitlab-ci.yml stripped down using pipline-jobs.yml
  * Define some tests as superficial
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.
  * Rename gitlab-ci.yml to salsa-ci.yml.
  * d/watch, d/copyright: Change upstream location, repair d/watch and
    update to version=4.
  * d/control: change Homepage to new existing source.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 27 Apr 2020 17:52:54 +0200

sunclock (3.57-10) unstable; urgency=medium

  * Add salsa CI pipeline in debian/gitlab-ci.yml.
  * Upgrade to Standards-Version 4.3.0 (Declare Rules-Requires-Root: no).
  * Upgrade debhelper to v12.
  * Add test of sunclock -version output.
  * 19_version: fix version number, since this is 3.57.
  * Add desktop-file-validate test.
  * Add buildlog to gitlab-ci test pipeline.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 27 Jan 2019 12:38:20 +0100

sunclock (3.57-9) unstable; urgency=medium

  * Add Vcs-headers pointing to salsa.debian.org
  * Update debhelper to v11.
  * Upgrade to Standards-Version 4.1.4 (no changes).
  * 09_manpage_typo: Fix more typos.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 23 May 2018 19:21:57 +0200

sunclock (3.57-8) unstable; urgency=medium

  * Upgrade to Standards-Version 4.1.2
    - Change copyright URL to https.
  * Tag sunclock-maps Multi-Arch: foreign.
  * 16_implicit_declaration: avoid memcpy() implicit declaration warning.
  * 09_manpage_typo: fix another typo in "default".
  * Make DEP3 comments more gbp pq compatible.
  * 11_fix-str-fmt: Fix L_PERIODIC string handling.
  * 17_pointer-to-int-cast: Avoid "cast from pointer to integer of
    different size" warnings.
  * 18_init_hstrip: Initialize hstrip, otherwise clockgeom option may fail.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 22 Dec 2017 21:25:18 +0100

sunclock (3.57-7) unstable; urgency=medium

  * Upgrade to Standards-Version 3.9.8, this requires:
  * Migrate from menu to desktop file.  Generate PNG icons using
    imagemagick.
  * Run wrap-and-sort.
  * debian/copyright is now machine readable.
  * Add Homepage to debian/control.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 17 Sep 2016 16:03:53 +0200

sunclock (3.57-6) unstable; urgency=medium

  * 15_time.patch: do not define extern time() but use it from time.h.
    This should fix the build error on X32.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 25 Nov 2015 17:51:52 +0100

sunclock (3.57-5) unstable; urgency=medium

  * Make arch and indep separate (Closes: #806113)
    This implies:
    - stop building in build-indep target
    - 14_donotinstall_vmf: do not install vmf files in install target.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 24 Nov 2015 18:13:19 +0100

sunclock (3.57-4) unstable; urgency=medium

  * Remove Homepage from control, since this is no longer available.
  * 09_manpage_typo: extend from "allows one to" to "allow one to".
  * Upgrade to Standards-Version 3.9.6 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 17 Aug 2015 19:47:52 +0200

sunclock (3.57-3) unstable; urgency=low

  * Upgrade debian/watch to new location.
  * Mention new upstream version in debian/copyright.
  * Enable hardening=+all
  * Upgrade to Standards-Version 3.9.5 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 27 Apr 2014 19:55:02 +0200

sunclock (3.57-2) unstable; urgency=low

  * Depend on debhelper (>= 9) and use compat 9 to enable hardening.
  * debian/rules: set CDBUGSFLAGS and EXTRA_LDOPTIONS by dpkg-buildflags.
  * 13_emx_hardening: Fix editkit/Imakefile to not overwrite CFLAGS, which
    are required for harding options.
  * Upgrade to Standards-Version 3.9.3 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 19 May 2012 23:28:27 +0200

sunclock (3.57-1) unstable; urgency=low

  * New upstream version 3.57.
  * Upgrade all patches.
  * Remove 02_docdir, 03_remove_libXext, and 05_rename_manual, which are
    already incorporated upstream.
  * Fix of Swedish i18n name no longer necessary.
  * 10_hurd_MAXPATHLEN: MAXPATHLEN is undefined in Hurd, so define it if
    necessary.
  * 11_fix-str-fmt: fix str format from Mandriva 3.56-4mdv2011.0 by
    Funda Wang <fwang@mandriva.org>.
  * Build-Depend on libpng-dev instead of libpng12-dev to support
    libpng15-transition (Closes: #662515).
  * Disable ZLIB, because this causes trouble with zlib 1.2.6.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 05 Mar 2012 14:52:35 +0100

sunclock (3.56-12) unstable; urgency=low

  * Support arch and noarch build targets correctly.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 28 Dec 2011 14:58:55 +0100

sunclock (3.56-11) unstable; urgency=low

  * Fix installation rules.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 28 Dec 2011 13:45:19 +0100

sunclock (3.56-10) unstable; urgency=low

  * Migrate from dpatch to 3.0 (quilt) format.
  * Reformat all patches.
  * Change build depenency from dpatch to debhelper (>= 7.0.50~).
  * Change debian/compat to "7".
  * Remove README.source.
  * Complete rewrite of debian/rules.
  * Prefix dirs, docs, menu with "sunclock." in debian directory.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 28 Dec 2011 09:53:06 +0100

sunclock (3.56-9) unstable; urgency=low

  * Build-depends on libjpeg-dev instead of libjpeg62-dev (Closes: #644811).
  * Add build-arch and build-indep targets to debian/rules.
  * Upgrade to Standards-Version 3.9.2 (no changes).
  * 09_manpage_typo: use "allows one to" in man page (missing "one").

 -- Roland Rosenfeld <roland@debian.org>  Sun, 09 Oct 2011 18:28:12 +0200

sunclock (3.56-8) unstable; urgency=low

  * 03_remove_libXext: Now really link without libXext (Closes: #615905)

 -- Roland Rosenfeld <roland@debian.org>  Mon, 28 Feb 2011 23:44:44 +0100

sunclock (3.56-7) unstable; urgency=low

  * 03_remove_libXext: Replace $(XLIB) by -lX11 in LOCAL_LIBRARIES in
    Imakefile.  So libXext ist still removed while binutils-gold don't
    miss libX11 (Closes: #556476).
  * Remove editkit/Makefile on clean.
  * Set debian/source/format to 1.0.
  * Add debian/README.source.
  * Add ${misc:Depends} to sunclock and sunclock-maps packages.
  * Upgrade to Standards-Version 3.9.1:
    - sunclock-maps Breaks old sunclock version now instead of Conflicting
      with it
  * 09_manpage_typo: fix typo in man page: s/accomodate/accommodate/

 -- Roland Rosenfeld <roland@debian.org>  Mon, 28 Feb 2011 22:33:13 +0100

sunclock (3.56-6) unstable; urgency=low

  * Change upstream homepage (Closes: #489016)
  * Point on GPL-2 in copyright.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 15 Feb 2009 14:43:11 +0100

sunclock (3.56-5) unstable; urgency=low

  * Build-Depends on xutils-dev instead of xutils, because imake was moved
    (Closes: #485218)
  * Upgrade to Standards-Version 3.8.0:
    - Fix Homepage header in control file.
  * 08_manpage_hyphen.dpatch: Fix hyphen used as minus sign in man page.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Jun 2008 11:46:24 +0200

sunclock (3.56-4) unstable; urgency=low

  * Migrate all patches to dpatch mechanism.
  * 06_CET-1CDT: Fix timezones for Budapest, Warsaw, Bratislava and the
    Torun Radiotelescope from CET-2CDT to CET-1CDT (Closes: #438761).
  * 07_zlib_largefile_workaround: Workaround for zlib.h bug, which
    requires _LARGEFILE64_SOURCE if _FILE_OFFSET_BITS is set to 64
    (see #439980) (Closes: #438924).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 09 Sep 2007 15:41:54 +0200

sunclock (3.56-3) unstable; urgency=low

  * Do not strip emx in Imakefile install (Closes: #438076).
  * Check existence of Makefile instead of avoiding output of make clean.
  * menu: move from Apps/Tools to Applications/Science/Geoscience.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 18 Aug 2007 14:21:56 +0200

sunclock (3.56-2) unstable; urgency=low

  * Update debian/watch file.
  * Update debian/copyright.
  * Remove $(XLIB) from LOCAL_LIBRARIES in Imakefiles. This removes
    unnecessary libXext from binaries.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Sep 2006 10:50:42 +0200

sunclock (3.56-1) unstable; urgency=low

  * New upstream version 3.56.
  * Avoid compressing MANUAL.emx, because this has to be opened by emx.
  * Upgrade to debhelper v5.
  * Upgrade to Standards-Version 3.7.2 (no changes).
  * Install emx to /usr/lib/sunclock and fix all references to this.

 -- Roland Rosenfeld <roland@debian.org>  Sun,  2 Jul 2006 14:20:54 +0200

sunclock (3.54.1-1) unstable; urgency=low

  * New upstream version 3.54.1.
  * Again install the emx shared libraries to /usr/share/sunclock/emx
    instead of /usr/share/editkit.
  * Ged rid of circular dependency between sunclock and sunclock-maps.
    sunclock-maps now conflicts with the old version of sunclock, which it
    was split off, to avoid problems with files moving from one package to
    the other (Closes: #339927).
  * Replace Latin1 chars in man page by groff ASCII char names.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 11 Dec 2005 17:52:17 +0100

sunclock (3.54-2) unstable; urgency=low

  * Add debian/watch with current FTP server.
  * Correct URL in copyright file.
  * Stop build-depending on libselinux1-dev but compile with
    SELINUX_LIBS="" to work around the bug that xutils enables HasSELinux
    by default, while this program doesn't use it (Closes: #320606).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 31 Jul 2005 13:33:12 +0200

sunclock (3.54-1) unstable; urgency=low

  * New upstream version 3.54.
    - Corrects a segmentation fault (Closes: #315462).
  * No longer depends on xterm because interal emx editor is now used.
  * Upgrade to Standards-Version 3.6.2:
    - Install emx (external editor for manual viewing) into
      /usr/lib/sunclock (instead of /usr/bin).
  * Add build depenency on libselinux1-dev until xutils is fixed to build
    packages without HasSELinux again :-(

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Jul 2005 13:40:02 +0200

sunclock (3.53-1) unstable; urgency=low

  * New upstream version 3.53.

 -- Roland Rosenfeld <roland@debian.org>  Thu,  3 Feb 2005 16:54:28 +0100

sunclock (3.52-2) unstable; urgency=low

  * sunclock-maps now Replaces sunclock (<< 3.50pre1-3), because older
    versions of sunclock contained files, which are now in sunclock-maps.
    (Closes: #278169)

 -- Roland Rosenfeld <roland@debian.org>  Mon, 25 Oct 2004 20:06:09 +0200

sunclock (3.52-1) unstable; urgency=low

  * New upstream version 3.52.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 11 Oct 2004 13:54:23 +0200

sunclock (3.51-1) unstable; urgency=low

  * New upstream version 3.51.
  * Add build-dependency on libpng12-dev.
  * Replace hyphens (-) by minus signs (\-) in man page.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 27 Aug 2004 19:28:57 +0200

sunclock (3.50pre1-3) unstable; urgency=low

  * Add Homepage URL to package description.
  * Rename Swedish i18n file from Sunclock.se to Sunclock.sv (Closes: #240743).
  * Upgrade to Standards-Version 3.6.1 (no changes).
  * Build-Depend on libx11-dev, libxpm-dev, libxext-dev instead of xlibs-dev.
  * Quote section title in menu entry.
  * Use full color icons for the menu entry and add icon16x16 and
    icon32x32 entries.
  * Split earthmaps into architecture independent package sunclock-maps.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 10 Apr 2004 21:28:22 +0200

sunclock (3.50pre1-2) unstable; urgency=low

  * Disable #ifdef HParchitecture in Imakefile, which causes trouble on
    HPPA.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 26 Feb 2003 21:37:43 +0100

sunclock (3.50pre1-1) unstable; urgency=low

  * New upstream version 3.50pre1.
  * The new upstream package doesn't talk about Mercator (Closes: #102869).
  * Remove empty dir /usr/share/lintian/overrides.
  * Upgrade to Standards-Version 3.5.8:
    - remove support for DEB_BUILD_OPTION "debug"
    - add support for DEB_BUILD_OPTION "noopt"
  * Upgrade to debhelper >=4 and use debian/compat instead of DH_COMPAT.
    - removed debian/conffiles.
    - updated debian/rules according to debhelper example.
  * Install new icon sunclock2.xpm (and create a cmap.xpm color version
    for menu).
  * Move XPMs from /usr/X11R6/include/X11/pixmaps to /usr/share/pixmaps.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 23 Feb 2003 17:04:15 +0100

sunclock (3.46-1) unstable; urgency=low

  * New upstream version 3.46.
  * Remove dh_testversion from debian/rules (use build-deps instead).
  * Comment out special rules for HPArchitecture from Imakefile, because
    they cause problems on hppa (Closes: #105070).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 15 Jul 2001 13:18:45 +0200

sunclock (3.40.010514-1) unstable; urgency=low

  * New upstream version 3.40 (2nd release, don't ask me why upstream
    didn't use a new version number).
  * This upstream release should solve the problem with enlightenment
    (Closes: #96214).
  * Remove dh_testversion from debian/rules (use build-depends instead)

 -- Roland Rosenfeld <roland@debian.org>  Mon, 14 May 2001 18:37:23 +0200

sunclock (3.40-1) unstable; urgency=low

  * New upstream version 3.40.
  * Remove debian/sunclock_help* (no longer used upstream).
  * Change HELPCOMMAND from xterm to x-terminal-emulator.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 13 May 2001 21:12:45 +0200

sunclock (3.38-2) unstable; urgency=low

  * Comment out caida.jpg mapimage from Sunclockrc, because this isn't
    included in the Debian package.

 -- Roland Rosenfeld <roland@debian.org>  Sun,  6 May 2001 18:57:49 +0200

sunclock (3.38-1) unstable; urgency=low

  * New upstream version 3.38.
  * Modify sunclock_help to use x-terminal-emulator instead of xterm.
  * Add a man page for sunclock_help.
  * Use dh_installman instead of dh_installmanpages in debian/rules.
  * Remove test for nostrip in DEB_BUILD_OPTIONS, since this is handled by
    debhelper >=2.1.6 internally.
  * Remove dh_suidregister from debian/rules and upgrade Standards-Version
    to 3.5.2.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 17 Apr 2001 19:53:55 +0200

sunclock (3.37-1) unstable; urgency=low

  * New upstream version 3.37.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Apr 2001 15:44:30 +0200

sunclock (3.34-1) unstable; urgency=low

  * New upstream version 3.34.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 31 Mar 2001 11:31:49 +0200

sunclock (3.33-1) unstable; urgency=low

  * New upstream version 3.33.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 21 Mar 2001 19:15:44 +0100

sunclock (3.32-1) unstable; urgency=low

  * New upstream version 3.32.
  * override.Lintian removed because the signature of VMF files is changed
    to %!VMF

 -- Roland Rosenfeld <roland@debian.org>  Tue, 20 Mar 2001 18:56:28 +0100

sunclock (3.31-1) unstable; urgency=low

  * New upstream version 3.31.
  * s/MANPATH/MANDIR/ in debian/rules.

 -- Roland Rosenfeld <roland@debian.org>  Mon,  5 Mar 2001 20:00:14 +0100

sunclock (3.30-2) unstable; urgency=low

  * Add missing build-dependency to libjpeg62-dev (Closes: #88094).

 -- Roland Rosenfeld <roland@debian.org>  Thu,  1 Mar 2001 19:16:24 +0100

sunclock (3.30-1) unstable; urgency=low

  * New upstream version 3.30.
  * Move Sunclockrc from /usr/share/sunclock to /etc.
  * Create override.Lintian to avoid lintian errors, which thinks that the
    new VMF file format is some kind of shell interpreter.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 27 Feb 2001 18:42:58 +0100

sunclock (3.28-1) unstable; urgency=low

  * New upstream version 3.28.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 17 Jan 2001 18:46:58 +0100

sunclock (3.27-1) unstable; urgency=low

  * New upstream version 3.27.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Dec 2000 11:09:38 +0100

sunclock (3.26-1) unstable; urgency=low

  * New upstream version 3.26.
  * Add xutils to Build-Depends, because xmkmf and mkdirhier are used.
  * Add "Suggests: imagemagick", because convert(1) can be used to load
    various formats of earth maps.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 21 Dec 2000 18:30:43 +0100

sunclock (3.21-2) unstable; urgency=low

  * Applied patch from upstream author to avoid maxint as the distance
    from one position to the same position.
  * Remove symlink removal hack, which isn't needed with xlibs-dev
    (>=4.0.1-11). Changed Build-Depends accordingly.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 16 Dec 2000 14:09:58 +0100

sunclock (3.21-1) unstable; urgency=low

  * New upstream version 3.21.
  * New XFree86 4.0 policy:
    - Recompile with app-defaults installed in /etc/X11 (needs some
      workarounds in debian/rules).
    - Change Build-Depends from xlib6g-dev to xlibs.
    - Make /etc/X11/app-defaults/Sunclock a conffile.
    - Remove symlink /usr/X11R6/lib/X11/app-defaults ->
      ../../../.././etc/X11/app-defaults which is created by imake, but is
      completely useless.

 -- Roland Rosenfeld <roland@debian.org>  Tue,  5 Dec 2000 17:47:26 +0100

sunclock (3.13-1) unstable; urgency=low

  * New upstream version.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 27 Oct 2000 11:15:30 +0200

sunclock (3.12-1) unstable; urgency=low

  * New upstream version.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 10 Oct 2000 13:00:43 +0200

sunclock (3.11-1) unstable; urgency=low

  * New upstream version.

 -- Roland Rosenfeld <roland@debian.org>  Mon,  9 Oct 2000 12:35:59 +0200

sunclock (3.10-1) unstable; urgency=low

  * New upstream version.
  * Fix problem with setting TZ environment variable (unsetting is correct
    upstream).

 -- Roland Rosenfeld <roland@debian.org>  Wed,  4 Oct 2000 11:50:06 +0200

sunclock (3.04-1) unstable; urgency=low

  * New upstream version.
  * Fix problem with setting TZ environment variable.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 10 Sep 2000 23:04:54 +0200

sunclock (3.02-1) unstable; urgency=low

  * New upstream version (by new upstream maintainer).
  * Upgrade to Standards-Version 3.2.1:
    - Evaluate DEB_BUILD_OPTIONS for -g and strip.
    - Move binary and manpage from /usr/X11R6/* to /usr/*.
  * Upgrade to new debhepler:
    - Change to DH_COMPAT=2.
    - Add some dh_* calls to debian/rules.

 -- Roland Rosenfeld <roland@debian.org>  Mon,  4 Sep 2000 20:39:19 +0200

sunclock (1.5-3) unstable; urgency=low

  * Added hints to menu file (Closes: #52007).
  * Added icon and mini-icon (to menu file).
  * Upgrade to Standards version 3.1.0: Add Build-Depends.

 -- Roland Rosenfeld <roland@debian.org>  Mon,  6 Dec 1999 10:38:55 +0100

sunclock (1.5-2) unstable; urgency=low

  * Upgrade to Debian Standards version 3.0.1.
  * Recompiled with libc6 2.1 and xfree86 3.3.5.

 -- Roland Rosenfeld <roland@debian.org>  Wed,  6 Oct 1999 09:37:12 +0200

sunclock (1.5-1) unstable; urgency=low

  * New upstream version.

 -- Roland Rosenfeld <roland@debian.org>  Wed,  7 Apr 1999 22:10:57 +0200

sunclock (1.4-2) unstable; urgency=low

  * Fix string function declarations for glibc2.1 (fixes #30406).
    Thanks to Christian Meder <meder@isr.uni-stuttgart.de> who provided
    the patch.
  * Upgraded Standards-Version to 2.5.0.0 (no changes).
  * Removed the -Wall warnings (no real problems).

 -- Roland Rosenfeld <roland@debian.org>  Sun,  6 Dec 1998 18:21:50 +0100

sunclock (1.4-1) unstable; urgency=low

  * Initial Release.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 23 Oct 1998 17:14:14 +0200
